
QGIS Application - Feature request #12088

Allow to do not select non-rendered features

2015-01-28 10:34 PM - Pierre-Luc Auclair

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 20284

Description

Sometimes, when editing, I will create a rule-based styleset to hide some features. I do this because you can't edit shapefiles when they

are filtered. It is mostly fine, but the selection tool will select features even from disabled (unchecked) "styles" in the Layers panel. I'm not

sure if it's a bug or feature, but it doesn't seem logical to allow selection of items you can't see.

Associated revisions

Revision ad86ffe1 - 2015-02-19 07:56 AM - Martin Dobias

Fix #12088 - selection tool - do not consider invisible features

This avoids dangerous situations where the user inadvertently selects features

that are not rendered and does further actions (like to delete them)

History

#1 - 2015-01-28 10:53 PM - Denis Rouzaud

- Assignee set to Martin Dobias

#2 - 2015-01-30 04:33 AM - Giovanni Manghi

- Category set to Map Canvas

- Subject changed from Select also selects non-rendered features to Allow to do not select non-rendered features

- Tracker changed from Bug report to Feature request

Seems more like a feature request.

#3 - 2015-02-18 10:57 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"ad86ffe18a85431fa16a6357457c0a081aa6a99b".
